Bug 426598 - Review Request: perl-Config-Simple - Simple configuration file class
Summary: Review Request: perl-Config-Simple - Simple configuration file class
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
(Show other bugs)
Version: rawhide
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Parag AN(पराग)
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: 426594
TreeView+ depends on / blocked
 
Reported: 2007-12-22 20:38 UTC by Rafał Psota
Modified: 2010-07-23 21:27 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-12-25 22:22:05 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
panemade: fedora-review+
kevin: fedora-cvs+


Attachments (Terms of Use)

Comment 1 Parag AN(पराग) 2007-12-23 05:01:47 UTC
rpmlint gave me
perl-Config-Simple.src: W: invalid-license Artistic
==> it should be GPL+ or Artistic

Good to have Source URL as
http://cpan.org/authors/id/S/SH/SHERZODR/Config-Simple-%{version}.tar.gz

Comment 3 Parag AN(पराग) 2007-12-24 05:31:44 UTC
Review:
+ package builds in mock (development i386).
+ rpmlint is silent for SRPM and for RPM.
+ source files match upstream url
96513b61c7db591339ce2577878a3b32  Config-Simple-4.59.tar.gz
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ build root is correct.
+ license is open source-compatible.
+ License text is included in package.
+ %doc is present.
+ BuildRequires are proper.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains code, not content.
+ no headers or static libraries.
+ no .pc file present.
+ no -devel subpackage
+ no .la files.
+ no translations are available
+ Does owns the directories it creates.
+ no scriptlets present.
+ no duplicates in %files.
+ file permissions are appropriate.
+ make test outputs
t/bug...............ok
t/create............ok
t/guess_syntax......ok
t/import............ok
t/ini...............ok
t/is_modified.......ok
t/read-rv...........ok
t/simple............ok
t/simplified-ini....ok
t/tie...............ok
All tests successful.
Files=10, Tests=89,  1 wallclock secs ( 0.33 cusr +  0.08 csys =  0.41 CPU)

+ Package  perl-Config-Simple-4.59-2.fc9->
  Provides: perl(Config::Simple) = 4.59
  Requires: perl(:MODULE_COMPAT_5.8.8) perl(AutoLoader) perl(Carp) perl(Fcntl)
perl(Text::ParseWords) perl(strict) perl(vars)

APPROVED.
  


Comment 4 Rafał Psota 2007-12-24 18:30:27 UTC
Thanks for review!


New Package CVS Request
=======================
Package Name: perl-Config-Simple
Short Description: Simple configuration file class
Owners: rafalzaq
Branches: F-7 F-8
InitialCC: 
Cvsextras Commits: yes

Comment 5 Tom "spot" Callaway 2007-12-24 20:19:12 UTC
cvs done.

Comment 6 Rafał Psota 2007-12-25 22:22:05 UTC
Imported and built. 

Comment 7 James Findley 2010-07-23 11:40:17 UTC
Package Change Request
======================
Package Name: perl-Config-Simple
New Branches: EL-5 EL-6
Owners: sixy
InitialCC: sixy

Comment 8 Kevin Fenzi 2010-07-23 21:27:19 UTC
CVS done (by process-cvs-requests.py).


Note You need to log in before you can comment on or make changes to this bug.